# WOK
TKWOK
WOKBuilder

# WOKBuilder_SharedLinker Class Reference

`#include <WOKBuilder_SharedLinker.hxx>`

Inheritance diagram for WOKBuilder_SharedLinker:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_SharedLinker (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ExportList () const
Standard_EXPORT void | SetExportList (const Handle(TColStd_HSequenceOfHAsciiString)&alist)
Standard_EXPORT void | SetExportList (const Handle(WOKBuilder_ObjectFile)&anobject)
Standard_EXPORT Handle_TCollection_HAsciiString | LogicalName () const
Standard_EXPORT void | SetLogicalName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalHeader ()
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | GetLinkerProduction ()

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myexports
Handle_TCollection_HAsciiString | mylogicname

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_SharedLinker::WOKBuilder_SharedLinker | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_SharedLinker::EvalHeader | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKBuilder_Linker.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_SharedLinker::ExportList | ( |  | ) | const

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_SharedLinker::GetLinkerProduction | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKBuilder_Linker.

Standard_EXPORT const WOKBuilder_SharedLinker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Linker.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_SharedLinker::LogicalName | ( |  | ) | const

Standard_EXPORT void WOKBuilder_SharedLinker::SetExportList | ( | const Handle(WOKBuilder_ObjectFile)& | anobject | ) |

Standard_EXPORT void WOKBuilder_SharedLinker::SetExportList | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | alist | ) |

Standard_EXPORT void WOKBuilder_SharedLinker::SetLogicalName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_SharedLinker::myexports `[private]`

Handle_TCollection_HAsciiString WOKBuilder_SharedLinker::mylogicname `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_SharedLinker.hxx